<html>
<head>
<title>OgreD3D11Mappings.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_0a2df88393729a3f182c00116937c948.html">Direct3D11</a>      </li>
      <li class="navelem"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreD3D11Mappings.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreD3D11Mappings_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __D3D11MAPPINGS_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __D3D11MAPPINGS_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgreD3D11Prerequisites_8h.html">OgreD3D11Prerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreTextureUnitState_8h.html">OgreTextureUnitState.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreRenderSystem_8h.html">OgreRenderSystem.h</a>&quot;</span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="keyword">namespace </span>Ogre 
<a name="l00036"></a>00036 {
<a name="l00037"></a><a class="code" href="classOgre_1_1D3D11Mappings.html">00037</a>     <span class="keyword">class </span><a class="code" href="classOgre_1_1D3D11Mappings.html">D3D11Mappings</a>
<a name="l00038"></a>00038     {
<a name="l00039"></a>00039     <span class="keyword">public</span>:
<a name="l00040"></a>00040 
<a name="l00042"></a><a class="code" href="classOgre_1_1D3D11Mappings.html#affe6a6229c9ac9a5741f226951c6c5a2">00042</a>         <span class="keyword">enum</span> <a class="code" href="classOgre_1_1D3D11Mappings.html#affe6a6229c9ac9a5741f226951c6c5a2" title="enum identifying D3D11 filter usage type">eD3DFilterUsage</a>
<a name="l00043"></a>00043         {
<a name="l00045"></a><a class="code" href="classOgre_1_1D3D11Mappings.html#affe6a6229c9ac9a5741f226951c6c5a2a744e5744f3131627a253fd7958ba7a47">00045</a>             <a class="code" href="classOgre_1_1D3D11Mappings.html#affe6a6229c9ac9a5741f226951c6c5a2a744e5744f3131627a253fd7958ba7a47" title="min filter">D3D_FUSAGE_MIN</a>,
<a name="l00047"></a><a class="code" href="classOgre_1_1D3D11Mappings.html#affe6a6229c9ac9a5741f226951c6c5a2a4615a750d73c72f12fa38ea7780cb134">00047</a>             <a class="code" href="classOgre_1_1D3D11Mappings.html#affe6a6229c9ac9a5741f226951c6c5a2a4615a750d73c72f12fa38ea7780cb134" title="mag filter">D3D_FUSAGE_MAG</a>,
<a name="l00049"></a><a class="code" href="classOgre_1_1D3D11Mappings.html#affe6a6229c9ac9a5741f226951c6c5a2af5f2668415d453503805a156688b949c">00049</a>             <a class="code" href="classOgre_1_1D3D11Mappings.html#affe6a6229c9ac9a5741f226951c6c5a2af5f2668415d453503805a156688b949c" title="mip filter">D3D_FUSAGE_MIP</a>
<a name="l00050"></a>00050         };
<a name="l00051"></a>00051 
<a name="l00053"></a>00053         <span class="comment">//static DWORD get(ShadeOptions so);</span>
<a name="l00055"></a>00055 <span class="comment"></span>        <span class="comment">//static D3DLIGHTTYPE get(Light::LightTypes lightType);</span>
<a name="l00057"></a>00057 <span class="comment"></span>        <span class="comment">//static DWORD get(TexCoordCalcMethod m, const D3DCAPS9&amp; caps);</span>
<a name="l00059"></a>00059 <span class="comment"></span>        <span class="keyword">static</span> D3D11_TEXTURE_ADDRESS_MODE <span class="keyword">get</span>(<a class="code" href="classOgre_1_1TextureUnitState.html#a47c5a9f4fc08159b99bdc51103bcf852" title="Texture addressing modes - default is TAM_WRAP.">TextureUnitState::TextureAddressingMode</a> tam);
<a name="l00061"></a>00061         <span class="keyword">static</span> D3D11_BLEND <span class="keyword">get</span>(<a class="code" href="group__Materials.html#ga1ae5925d36df27a6c3590536752264f8" title="Type of texture blend mode.">LayerBlendType</a> lbt);
<a name="l00063"></a>00063         <span class="comment">//static DWORD get(LayerBlendOperationEx lbo, const D3DCAPS9&amp; devCaps);</span>
<a name="l00065"></a>00065 <span class="comment"></span>        <span class="comment">//static DWORD get(LayerBlendSource lbs);</span>
<a name="l00067"></a>00067 <span class="comment"></span>        <span class="keyword">static</span> D3D11_BLEND <span class="keyword">get</span>(<a class="code" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213" title="Blending factors for manually blending objects with the scene.">SceneBlendFactor</a> sbf);
<a name="l00069"></a>00069         <span class="keyword">static</span> D3D11_COMPARISON_FUNC <span class="keyword">get</span>(<a class="code" href="group__General.html#ga0212b4eb264f207d84c1df9425208c7a" title="Comparison functions used for the depth/stencil buffer operations and others.">CompareFunction</a> cf);
<a name="l00071"></a>00071         <span class="keyword">static</span> D3D11_CULL_MODE <span class="keyword">get</span>(<a class="code" href="group__General.html#gac173244ed7d950d0acd726e4f323ecdb" title="Hardware culling modes based on vertex winding.">CullingMode</a> cm, <span class="keywordtype">bool</span> flip = <span class="keyword">false</span>);
<a name="l00073"></a>00073         <span class="comment">//static D3DFOGMODE get(FogMode fm);</span>
<a name="l00075"></a>00075 <span class="comment"></span>        <span class="keyword">static</span> D3D11_FILL_MODE <span class="keyword">get</span>(<a class="code" href="group__General.html#ga68866b02aa7f99e3431337511fbb3345" title="The polygon mode to use when rasterising.">PolygonMode</a> level);
<a name="l00077"></a>00077         <span class="keyword">static</span> D3D11_STENCIL_OP <span class="keyword">get</span>(<a class="code" href="group__RenderSystem.html#gae8bb1cb809660de802d1d592ba4adb61" title="Enum describing the various actions which can be taken onthe stencil buffer.">StencilOperation</a> op, <span class="keywordtype">bool</span> invert = <span class="keyword">false</span>);
<a name="l00079"></a>00079         <span class="keyword">static</span> DWORD <span class="keyword">get</span>(<a class="code" href="group__General.html#gac1fc36ec2f4df4b2afa9fa39f9c66c06">FilterType</a> ft);
<a name="l00080"></a>00080         <span class="keyword">static</span> D3D11_FILTER <span class="keyword">get</span>(<span class="keyword">const</span> <a class="code" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d" title="Filtering options for textures / mipmaps.">FilterOptions</a> minification, <span class="keyword">const</span> <a class="code" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d" title="Filtering options for textures / mipmaps.">FilterOptions</a> magnification, <span class="keyword">const</span> <a class="code" href="group__General.html#ga02306c6246268d35f45ad22278bd5d3d" title="Filtering options for textures / mipmaps.">FilterOptions</a> mips, <span class="keyword">const</span> <span class="keywordtype">bool</span> comparison = <span class="keyword">false</span>);
<a name="l00082"></a>00082         <span class="keyword">static</span> DWORD <span class="keyword">get</span>(<a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">HardwareBuffer::Usage</a> usage);
<a name="l00084"></a>00084         <span class="keyword">static</span> D3D11_MAP <span class="keyword">get</span>(<a class="code" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f" title="Locking options.">HardwareBuffer::LockOptions</a> options, <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">HardwareBuffer::Usage</a> usage);
<a name="l00086"></a>00086         <span class="keyword">static</span> DXGI_FORMAT <span class="keyword">get</span>(<a class="code" href="classOgre_1_1HardwareIndexBuffer.html#a25ba4923e015d46de162f7cc4c256326">HardwareIndexBuffer::IndexType</a> itype);
<a name="l00087"></a>00087         <span class="keyword">static</span> UINT <a class="code" href="classOgre_1_1D3D11Mappings.html#a3bea16653ed57e3f719f4f963d729cec">getByteWidth</a>(<a class="code" href="classOgre_1_1HardwareIndexBuffer.html#a25ba4923e015d46de162f7cc4c256326">HardwareIndexBuffer::IndexType</a> itype);
<a name="l00088"></a>00088         <span class="keyword">static</span> DXGI_FORMAT <a class="code" href="classOgre_1_1D3D11Mappings.html#a57b0e0180ee399c117ef74c89178e314">getFormat</a>(<a class="code" href="classOgre_1_1HardwareIndexBuffer.html#a25ba4923e015d46de162f7cc4c256326">HardwareIndexBuffer::IndexType</a> itype);
<a name="l00090"></a>00090         <span class="keyword">static</span> DXGI_FORMAT <span class="keyword">get</span>(<a class="code" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f" title="Vertex element type, used to identify the base types of the vertex contents.">VertexElementType</a> vType);
<a name="l00092"></a>00092         <span class="keyword">static</span> LPCSTR <span class="keyword">get</span>(<a class="code" href="group__RenderSystem.html#ga0a62b3f2ede8992ff365bb013a8bc00d" title="Vertex element semantics, used to identify the meaning of vertex buffer contents.">VertexElementSemantic</a> sem);
<a name="l00093"></a>00093         <span class="keyword">static</span> <a class="code" href="group__RenderSystem.html#ga0a62b3f2ede8992ff365bb013a8bc00d" title="Vertex element semantics, used to identify the meaning of vertex buffer contents.">VertexElementSemantic</a> <span class="keyword">get</span>(LPCSTR sem);
<a name="l00095"></a>00095         <span class="keyword">static</span> <span class="keywordtype">void</span> <span class="keyword">get</span>(<span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; inColour, <span class="keywordtype">float</span> * outColour );
<a name="l00096"></a>00096 
<a name="l00097"></a>00097 
<a name="l00099"></a>00099         <span class="keyword">static</span> <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> <a class="code" href="classOgre_1_1D3D11Mappings.html#a1e1034b38884e366d2602a5f38081e6a" title="utility method, convert D3D11 pixel format to Ogre pixel format">_getPF</a>(DXGI_FORMAT d3dPF);
<a name="l00101"></a>00101         <span class="keyword">static</span> DXGI_FORMAT <a class="code" href="classOgre_1_1D3D11Mappings.html#a1e1034b38884e366d2602a5f38081e6a" title="utility method, convert D3D11 pixel format to Ogre pixel format">_getPF</a>(<a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> ogrePF);
<a name="l00102"></a>00102         <span class="comment">//</span>
<a name="l00103"></a>00103         <span class="keyword">static</span> D3D11_USAGE <a class="code" href="classOgre_1_1D3D11Mappings.html#abbceae8274ddd46b149427f0d1e88167">_getUsage</a>(<a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">HardwareBuffer::Usage</a> mUsage);
<a name="l00104"></a>00104         <span class="keyword">static</span> D3D11_USAGE <a class="code" href="classOgre_1_1D3D11Mappings.html#abbceae8274ddd46b149427f0d1e88167">_getUsage</a>(<span class="keywordtype">int</span> mUsage);
<a name="l00105"></a>00105         <span class="keyword">static</span> UINT <a class="code" href="classOgre_1_1D3D11Mappings.html#a5815702c66f71a3b8d1035deb05dbdd7">_getAccessFlags</a>(<a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">HardwareBuffer::Usage</a> mUsage);
<a name="l00106"></a>00106         <span class="keyword">static</span> UINT <a class="code" href="classOgre_1_1D3D11Mappings.html#a5815702c66f71a3b8d1035deb05dbdd7">_getAccessFlags</a>(<span class="keywordtype">int</span> mUsage);
<a name="l00107"></a>00107         <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1D3D11Mappings.html#aaf06fa4183eee9505f9997c72b84127f">_isDynamic</a>(<a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">HardwareBuffer::Usage</a> mUsage);
<a name="l00109"></a>00109         <span class="keyword">static</span> <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> <a class="code" href="classOgre_1_1D3D11Mappings.html#a8325051f47ecd4aaad504a54234b1108" title="utility method, find closest Ogre pixel format that D3D11 can support">_getClosestSupportedPF</a>(<a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> ogrePF);
<a name="l00110"></a>00110     };
<a name="l00111"></a>00111 }
<a name="l00112"></a>00112 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:49
</p>
</body>
</html>
